# Ansible

Ansible is responsible for:

- Compiling, deploying, and deleting configuration on targeted devices
- Gathering operational information from the targeted devices

The Ansible subsystem is composed of three main functional parts:

- A plugin that is responsible for exposing the Ansible engine to the Workflow Orchestrator via APIs
- A set of Ansible roles and playbooks that interacts with network elements
- A set of global variables stored in a Git repository that build the Ansible Inventory
